#!/usr/bin/perl

my $current_group = "";

while ( <> ) {
  chomp;
  if ( /^\[/ ) {
    $current_group = $_;
    next;
  }

  my ($key, $value) = split /=/;

  if ($current_group eq "[ProteinPredictorAtHome - Molecule Log]") {
    if ($key =~ /filter_([01])/) {
      print "$current_group\n";

      # The key "filter" has been replaced with with
      # the boolean keys "workunit" and "result".
      # filter_x=1 -> workunit_x=true
      # filter_x=2 -> result_x=true
      # filter_x=3 -> workunit_x=true
      #               result_x=true

      if ($value == 1) {
        print "workunit_$1=true\n";
      }
      elsif ($value == 2) {
        print "result_$1=true\n";
      }
      elsif ($value == 3) {
        print "workunit_$1=true\n";
        print "result_$1=true\n";
      }

      print "# DELETE " . $current_group . $key . "\n";
    }
  }
}
